body,
body * {
	box-sizing: border-box;
	font-family: monospace !important;
	font-size: 14px;
	line-height: 1.5;
}

body {
	margin: 0;
	padding: 20px;
	background-color: #18181a;
	color: #939395;
}

pre {
	margin: 8px 0;
	tab-size: 4;
}

h1,
h2,
h3 {
	font-weight: normal;
	font-size: 14px;
	line-height: 1.5;
	margin: 0;
}

a,
button {
	cursor: pointer;
}

a {
	text-decoration: none;
	color: #c3c3c5;
}

a[open] {
	color: #7a7a7a;
}

button,
select,
input,
label {
	display: inline-block;
	height: 32px;
	padding: 0 8px;
	margin-bottom: 8px;
	color: #c3c3c5;
	border: none;
}

button,
select,
input {
	background-color: #2a2a2a;
}

button {
	width: 80px;
}

select,
input {
	width: 320px;
}

select[short],
input[short] {
	width: 80px;
}

select,
input,
label {
	text-align: left;
}

select[right],
input[right],
label[right] {
	text-align: right;
}

* + button,
* + select,
* + input,
* + label {
	margin-left: 8px;
}

input[type="checkbox"] {
	width: auto;
	line-height: 32px;
	vertical-align: middle;
}

input[type="checkbox"] + label {
	margin-left: 0;
}

input[type="checkbox"]:not(:checked) + label,
input:disabled + label,
button:disabled,
select:disabled,
input:disabled,
a:disabled,
input[disabled] + label,
button[disabled],
select[disabled],
input[disabled],
a[disabled] {
	opacity: 0.66;
}

input:disabled + label,
button:disabled,
select:disabled,
input:disabled,
a:disabled,
input[disabled] + label,
button[disabled],
select[disabled],
input[disabled],
a[disabled] {
	cursor: not-allowed !important;
}

fieldset::before,
article::before,
section::before,
header::before,
footer::before,
div::before,
fieldset::after,
article::after,
section::after,
header::after,
footer::after,
div::after {
	display: table;
	clear: both;
	content: "";
}

section,
header,
footer {
	min-height: 48px;
	padding: 8px 0;
}

header > div {
	float: left;
	width: 50%;
}

header > div + div {
	text-align: right;
}

header > div > img,
header > div > h1,
header > div > h2,
header > div > h3,
header > div > a {
	display: inline-block;
	width: auto;
}

header > div > h1,
header > div > h2,
header > div > h3,
header > div > a {
	padding: 0 4px;
	vertical-align: top;
}

header > div > img {
	height: 18px;
	margin-right: 2px;
	opacity: 0.25;
}

header > div > h1,
header > div > h2,
header > div > h3 {
	margin-right: 12px;
}

header > div > a {
	margin-left: 16px;
}

article {
	padding-bottom: 8px;
}

fieldset {
	padding: 0;
	margin-bottom: 8px;
	text-align: right;
	border: none;
}

fieldset > p {
	float: left;
	width: auto;
	margin: 0 8px 0 0;
	padding: 10px 0;
}

fieldset > * + p {
	margin-left: 8px;
}

.pane,
.last,
.data {
	display: block;
	margin-bottom: 8px;
}

.pane,
.data {
	padding: 8px;
	background-color: #2a2a2a;
	color: #c3c3c5;
	border: none;
}

.pane {
	height: 480px;
	overflow: scroll;
	resize: vertical;
}

.pane > .info:not(:last-child) {
	opacity: 0.66;
}

.data:empty {
	display: none;
}

.warn {
	color: #ffd700;
}
